Add SKU (Product Item)
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/productitem
catalogItemIdstringUnique identifier for a catalog item.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject
200<p>Success-product object submitted to the work-in-progress catalog.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/wip/productitem \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"type": "",
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
},
"weight": {
"value": "",
"unit": ""
},
"shippingPackages": [
{
"dimensions": {
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
},
"weight": {
"value": "",
"unit": ""
}
}
],
"purchasable": "",
"skuDimensions": [
{
"name": "",
"width": 18.5,
"length": 18.5,
"height": 18.5,
"unit": ""
}
],
"pimVariantId": "N/A"
}'